Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 458610 - Review Request: php-pear-MDB2-Driver-pgsql - PostgreSQL MDB2 driver
Summary: Review Request: php-pear-MDB2-Driver-pgsql - PostgreSQL MDB2 driver
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 438805 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-10 21:20 UTC by Johan Cwiklinski
Modified: 2008-09-11 16:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-11 16:53:53 UTC
Type: ---
j: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Johan Cwiklinski 2008-08-10 21:20:23 UTC
Spec URL: http://odysseus.x-tnd.be/fedora/php-pear-MDB2-Driver-pgsql/php-pear-MDB2-Driver-pgsql.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/php-pear-MDB2-Driver-pgsql/php-pear-MDB2-Driver-pgsql-1.4.1-1.fc9.src.rpm
Mock Log: http://odysseus.x-tnd.be/fedora/php-pear-MDB2-Driver-pgsql/php-pear-MDB2-Driver-pgsql-build.log
Description: 
This is the PostgreSQL MDB2 driver.

rpmlint against srpm complains about a patch non apllied, I think it's just because the path is applied once installed (bug #379081).

rpmlint against rpm also complains about missing documentation, there is no documentation provided upstream for this package.

Comment 1 Jason Tibbitts 2008-08-10 21:28:44 UTC
*** Bug 438805 has been marked as a duplicate of this bug. ***

Comment 2 Jason Tibbitts 2008-08-10 22:52:15 UTC
Indeed, rpmlint complains about the two things you've pointed out; I agree that both complaints can be ignored.

The only thing I could suggest you add is some statement of why the file has to be patched after installation instead if in %prep as usual.  (I understand why but it might not be obvious to whoever might glance at the spec in the future.)

* source files match upstream:
   7a051e90c63897701a93c9d3b02d79e6c696240c552694cf34cbc7eab6284691  
   MDB2_Driver_pgsql-1.4.1.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream (it's in each of the PHP files).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   php-pear(MDB2_Driver_pgsql) = 1.4.1
   php-pear-MDB2-Driver-pgsql = 1.4.1-1.fc10
  =
   /bin/sh
   /usr/bin/pear
   php-pear(MDB2) >= 2.4.1
   php-pear(PEAR)

* %check is not present; there's a test suite, but it would require a running 
   postgres instance and pear tests aren't runnable at build time in any case.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module registration).
* code, not content.
* no documentation to worry about.

APPROVED

Comment 3 Johan Cwiklinski 2008-08-11 05:00:15 UTC
New Package CVS Request
=======================
Package Name: php-pear-MDB2-Driver-pgsql
Short Description: PostgreSQL MDB2 Driver
Owners: trasher
Branches: F-8 F-9 EL-5
InitialCC: trasher
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-08-11 17:33:52 UTC
cvs done.

Comment 5 Fedora Update System 2008-08-11 18:44:49 UTC
php-pear-MDB2-Driver-pgsql-1.4.1-1.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-08-11 18:45:49 UTC
php-pear-MDB2-Driver-pgsql-1.4.1-1.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-08-12 18:25:54 UTC
php-pear-MDB2-Driver-pgsql-1.4.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-MDB2-Driver-pgsql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7217

Comment 8 Fedora Update System 2008-08-12 18:26:03 UTC
php-pear-MDB2-Driver-pgsql-1.4.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-MDB2-Driver-pgsql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7219

Comment 9 Fedora Update System 2008-09-11 16:53:50 UTC
php-pear-MDB2-Driver-pgsql-1.4.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-09-11 16:54:41 UTC
php-pear-MDB2-Driver-pgsql-1.4.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.